[arch-commits] Commit in grep/repos (3 files)
Sébastien Luttringer
seblu at archlinux.org
Sun Oct 6 15:50:19 UTC 2019
Date: Sunday, October 6, 2019 @ 15:50:19
Author: seblu
Revision: 363957
archrelease: copy trunk to testing-x86_64
Added:
grep/repos/testing-x86_64/
grep/repos/testing-x86_64/PKGBUILD
(from rev 363956, grep/trunk/PKGBUILD)
grep/repos/testing-x86_64/testsuite.patch
(from rev 363956, grep/trunk/testsuite.patch)
-----------------+
PKGBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
testsuite.patch | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 82 insertions(+)
Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 363956, grep/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2019-10-06 15:50:19 UTC (rev 363957)
@@ -0,0 +1,47 @@
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=3.3
+pkgrel=2
+pkgdesc='A string search utility'
+arch=('x86_64')
+license=('GPL3')
+url='https://www.gnu.org/software/grep/'
+groups=('base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('05d0718a1b7cc706a4bdf8115363f1ed'
+ 'SKIP')
+
+prepare() {
+ cd $pkgname-$pkgver
+ # apply patch from the source array (should be a pacman feature)
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr --without-included-regex
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+}
Copied: grep/repos/testing-x86_64/testsuite.patch (from rev 363956, grep/trunk/testsuite.patch)
===================================================================
--- testing-x86_64/testsuite.patch (rev 0)
+++ testing-x86_64/testsuite.patch 2019-10-06 15:50:19 UTC (rev 363957)
@@ -0,0 +1,35 @@
+From c505b0bce73c712f1297bc5f424e0de5e4ec3137 Mon Sep 17 00:00:00 2001
+From: Paul Eggert <eggert at cs.ucla.edu>
+Date: Thu, 9 Aug 2018 10:52:48 -0700
+Subject: tests: backref-alt works with glibc 2.28
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Problem reported by Jaroslav Skarvada (Bug#32409).
+* tests/Makefile.am (XFAIL_TESTS) [!USE_INCLUDED_REGEX]:
+Don’t add backref-alt, since this bug is fixed in glibc 2.28.
+---
+ tests/Makefile.am | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/tests/Makefile.am b/tests/Makefile.am
+index 9f52941..d9f9ee8 100644
+--- a/tests/Makefile.am
++++ b/tests/Makefile.am
+@@ -56,9 +56,9 @@ XFAIL_TESTS = triple-backref
+ if USE_INCLUDED_REGEX
+ XFAIL_TESTS += equiv-classes
+ else
+-# The backslash-alt test fails for glibc, which needs to be fixed.
+-# FIXME-2015: Remove this once the glibc bug is fixed.
+-XFAIL_TESTS += backref-alt
++# The backslash-alt test fails for glibc 2.27 and earlier.
++# If you're using older glibc you can upgrade to glibc 2.28 or later,
++# configure --with-included-regex, or ignore the test failure.
+ endif
+
+ TESTS = \
+--
+cgit v1.0-41-gc330
+
More information about the arch-commits
mailing list